Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: sensors::NumericSensor::Thresholds Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
sensors::NumericSensor::Thresholds Struct Reference

Numeric sensor thresholds. More...

## Public Attributes
boolean | upperCriticalActive
| `true` if the upper critical threshold is enabled
double | upperCritical
| Upper critical threshold.
boolean | upperWarningActive
| `true` if the upper warning threshold is enabled
double | upperWarning
| Upper warning threshold.
boolean | lowerWarningActive
| `true` if the lower warning threshold is enabled
double | lowerWarning
| Lower warning threshold.
boolean | lowerCriticalActive
| `true` if the lower critical threshold is enabled
double | lowerCritical
| Lower critical threshold.
int | assertionTimeout
| Assertion timeout in samples.
float | deassertionHysteresis
| Deassertion hysteresis.

## Detailed Description

Numeric sensor thresholds.

Definition at line 111 of file NumericSensor.idl.

## Member Data Documentation

## ◆ assertionTimeout

int sensors::NumericSensor::Thresholds::assertionTimeout

Assertion timeout in samples.

Definition at line 120 of file NumericSensor.idl.

## ◆ deassertionHysteresis

float sensors::NumericSensor::Thresholds::deassertionHysteresis

Deassertion hysteresis.

Definition at line 121 of file NumericSensor.idl.

## ◆ lowerCritical

double sensors::NumericSensor::Thresholds::lowerCritical

Lower critical threshold.

Definition at line 119 of file NumericSensor.idl.

## ◆ lowerCriticalActive

boolean sensors::NumericSensor::Thresholds::lowerCriticalActive

`true` if the lower critical threshold is enabled

Definition at line 118 of file NumericSensor.idl.

## ◆ lowerWarning

double sensors::NumericSensor::Thresholds::lowerWarning

Lower warning threshold.

Definition at line 117 of file NumericSensor.idl.

## ◆ lowerWarningActive

boolean sensors::NumericSensor::Thresholds::lowerWarningActive

`true` if the lower warning threshold is enabled

Definition at line 116 of file NumericSensor.idl.

## ◆ upperCritical

double sensors::NumericSensor::Thresholds::upperCritical

Upper critical threshold.

Definition at line 113 of file NumericSensor.idl.

## ◆ upperCriticalActive

boolean sensors::NumericSensor::Thresholds::upperCriticalActive

`true` if the upper critical threshold is enabled

Definition at line 112 of file NumericSensor.idl.

## ◆ upperWarning

double sensors::NumericSensor::Thresholds::upperWarning

Upper warning threshold.

Definition at line 115 of file NumericSensor.idl.

## ◆ upperWarningActive

boolean sensors::NumericSensor::Thresholds::upperWarningActive

`true` if the upper warning threshold is enabled

Definition at line 114 of file NumericSensor.idl.

The documentation for this struct was generated from the following file:

- NumericSensor.idl